# -*- coding: utf-8 -*-

# A simple setup script to create an executable using PySide2. This also
# demonstrates the method for creating a Windows executable that does not have
# an associated console.
#
# PySide2app.py is a very simple type of PySide2 application
#
# Run the build process by running the command 'python setup.py build'
#
# If everything works well you should find a subdirectory in the build
# subdirectory that contains the files needed to run the application

import sys
from cx_Freeze import setup, Executable

base = None
if sys.platform == 'win32':
    base = 'Win32GUI'

options = {
    'build_exe': {
        "zip_include_packages": ["PySide2", "shiboken2", "encodings"],
    }
}

executables = [
    Executable('PySide2app.py', base=base)
]

setup(
    name='simple_PySide2',
    version='0.1',
    description='Sample cx_Freeze PySide2 script',
    options=options,
    executables=executables
)
